Skip to main content
GET /api/v1/orders/history_by_id

Query Parameters

FieldTypeNeedDescriptionExample
”order_id”integerrequiredOrder ID to retrieve history for13753364
/api/v1/orders/history_by_id?order_id=13753364

Response

  • Status 200: Successfully retrieved open orders
{
  "success": true,
  "data": [
    {
      "history_id": 641452639,
      "order_id": 315992721,
      "client_order_id": "ade1aa6...",
      "symbol": "XPL",
      "side": "ask",
      "price": "1.0865",
      "initial_amount": "984",
      "filled_amount": "0",
      "cancelled_amount": "984",
      "event_type": "cancel",
      "order_type": "limit",
      "order_status": "cancelled",
      "stop_price": null,
      "stop_parent_order_id": null,
      "reduce_only": false,
      "created_at": 1759224895038
    },
    {
      "history_id": 641452513,
      "order_id": 315992721,
      "client_order_id": "ade1aa6...",
      "symbol": "XPL",
      "side": "ask",
      "price": "1.0865",
      "initial_amount": "984",
      "filled_amount": "0",
      "cancelled_amount": "0",
      "event_type": "make",
      "order_type": "limit",
      "order_status": "open",
      "stop_price": null,
      "stop_parent_order_id": null,
      "reduce_only": false,
      "created_at": 1759224893638
    }
  ],
  "error": null,
  "code": null
}
FieldTypeDescription
”history_id”integerHistory ID assigned to the order
”order_id”integerOrder ID assigned to order
”client_order_id”UUIDCLOID of order if assigned by user
”symbol”stringTrading pair symbol
”side”stringWhether the order is a bid or an ask
”price”decimal stringExecution price of the order event (e.g. order creation limit price, order matching filled price, limit price at cancellation)
“initial_amount”decimal stringAmount (in token denomination) of the order placed
”filled_amount”decimal stringAmount (in token denomination) of the order placed that was filled
”cancelled_amount”decimal stringAmount (in token denomination) of the order placed that was cancelled
”event_type”string

”make"

"stop_created"

"twap_created"

"fulfill_market"

"fulfill_limit"

"adjust"

"stop_parent_order_filled"

"stop_triggered"

"stop_upgrade"

"twap_triggered"

"cancel"

"force_cancel"

"expired"

"post_only_rejected"

"self_trade_prevented"

"order_type”string”limit"
"market"
"stop_limit"
"stop_market"
"take_profit_limit"
"stop_loss_limit"
"take_profit_market"
"stop_loss_market"
"order_status”string”open"
"partially_filled"
"filled"
"cancelled"
"rejected"
"stop_price”decimal stringStop price assigned upon order creation for subsequent position if order is filled if specified by user.
”stop_parent_order_id”integerOrder id of stop order attached to original order
”reduce_only”booleanIf the order is reduce only
”trigger_price_type”stringPrice type used to trigger stop orders (mark_price, last_trade_price, mid_price); defaults to last_trade_price
”instrument_type”stringInstrument type of the market
”created_at”integerTimestamp in milliseconds when the order was created on Pacifica
  • Status 400: Invalid request parameters
  • Status 401: Unauthorized access
  • Status 500: Internal server error

Code Example (Python)

import requests

response = requests.get(
    "/api/v1/orders/history_by_id?order_id=13753364",
    headers={"Accept": "*/*"},
)

data = response.json()